<template>
	<view>
		<!-- 展示蒙层 显示推广画报 -->
		<view class="poster" v-if="myqr_show">
			<view class="title">
				<text>推广文案</text>
			</view>
			<view class="ads">
				<view style="width: 480rpx">{{ myqr_ads }}</view>
			</view>
			<image :src="myqr_url" mode="widthFix" style="width: 480rpx" :show-menu-by-longpress="true"></image>
			<view class="tool">
				<view @tap="posterCopy" style="text-align: right">
					<image class="img" style="width: 110rpx; height: 130rpx" src="/static/images/share/p_copy.png">
					</image>
				</view>
				<button open-type="share" class="share-btn">
					<image class="img" style="width: 85rpx; height: 127rpx" src="/static/images/share/p_wx.png"></image>
				</button>
				<view style="text-align: left">
					<image class="img" @tap="goSaveQrcode" src="/static/images/share/p_save.png"></image>
				</view>
			</view>
			<view style="text-align: center">
				<image class="closeImg" @tap="hidePoster" src="/static/images/share/close.png"></image>
			</view>
		</view>

		<view class="container" :style="'filter:brightness(' + myqr_blur + '%)'">
			<image src="/static/images/new/isnew.png" v-if="goods.isNew" class="isNew"></image>
			<swiper class="goodsimgs" :indicator-dots="goods.gallery.length > 1 ? true : false"
				indicator-color="#999" indicator-active-color="#FFEBD8" :autoplay="true"
				interval="3000" duration="1000">
				<swiper-item v-for="(item, index) in goods.gallery" :key="index">
					<image :src="item" mode="aspectFill"></image>
				</swiper-item>
			</swiper>

			<view class="share-pop-box" v-if="openShare">
				<view class="share-pop">
					<view class="close" @tap="closeShare">
						<van-icon class="icon" name="cross" />
					</view>
				</view>
			</view>

			<view class="goods-info">
				<view class="c">
					<view style="display: flex; flex-direction: column">
						<view v-if="!activited" class="price">
							<view class="retailPrice">
								￥
								<text class="checked-price">{{ checkedSku.price }}</text>
							</view>
							<!-- wx:if="{{checkedSku.counterPrice!=checkedSku.price}}" -->
							<view class="counterPrice">
								原价￥
								<text>{{ checkedSku.counterPrice }}</text>
							</view>
							<view class="sale-num">
								已售
								<text>{{ countSalesNumber }}</text>
								份
							</view>
						</view>
						<view class="goods-name-wrapper">
							<view class="goods_name">
								<!-- <image wx:if="{{activited}}" style="width: 79rpx;height:32rpx;margin-right: 4rpx;" src="https://7a68-zhaijieshi-3guecm78383ca692-1307626841.tcb.qcloud.la/activity/618.png"></image> -->
								<text class="goods_name_left" :class="goods.name.startsWith('【')?'indent':''">{{ goods.name }}</text>
							</view>
							<text v-if="goods.brief"
								:class="goods.brief.startsWith('【')?'desc sub-color':'desc1 sub-color'">{{ goods.brief }}</text>
						</view>
						<!-- <view class="store-location"
							style="display: flex;align-items: center;justify-content: space-between;">
							<text
								style="display: inline-block; height: 100rpx;line-height: 100rpx;color: #999;padding-left: 30rpx;font-size: 32rpx;"
								@tap="getCurrentLocation" v-if="!showCurrentStore">授权位置信息，查看附近最近门店</text>
							<view class="store-location-left" v-if="showCurrentStore">
								<text style="display: block;color: #999;">附近可服务门店：</text>
								<text style="display: block;color: #999;">鲸致生活·家政保洁(长泰广场店)</text>
							</view>
							<view class="store-location-right" @tap="goServiceStore" v-if="showCurrentStore">
								<image src="https://mall.zhaijieshi.cc/file/wx-huawang/fj.png" mode=""
									style="width: 50rpx;height: 50rpx; margin-left: 10rpx;"></image>
								<text style="display: block; font-size: 20rpx; color: #999;">附近门店</text>
							</view>
						</view> -->


					</view>

					<!-- 分享商品 -->
					<!-- <view hidden="{{!canShare}}" class="goods_name_right" bindtap="shareFriendOrCircle">
				<image class="img" src="/static/images/share.png" />
			</view> -->
				</view>
			</view>



		</view>
		<view class="buy-toast">
			<swiper :autoplay="true" :circular="true" interval="3000" duration="1000" :vertical="true"
				class="toast-swiper">
				<swiper-item class="toast-swiper-item" v-for="(item, index) in goodsBuyTime" :key="index">
					<view class="toast-item">
						<image :src="item.cusHeadImg" mode="aspectFill"></image>
						<view>{{ item.comment }}</view>
					</view>
				</swiper-item>
			</swiper>
		</view>
		<!-- 选择规格sku -->
		<view class="sku-info" @tap="showSkuPopup" v-if="goods.productType == 2">
			<view class="sku-left">
				<view>已选:</view>
				<view class="current-sku">{{ checkedSku.specifications }}</view>
			</view>
			<view class="sku-right">
				<view style="color: #d77958;">可选服务</view>
				<van-icon name="arrow" color="#d77958" />
			</view>
		</view>

		<!-- 推荐产品 -->
		<view class="recommend-product" v-if="recGoodsNum > 0">
			<view class="recommend-title">推荐产品（{{ recGoodsNum }}）</view>
			<scroll-view :scroll-x="true" class="recommend-scroll">
				<view class="scroll-item-wrapper" v-for="(item, index) in recGoodsList" :key="index">
					<navigator :url="'/pages/goods/goods?id=' + item.id">
						<view class="scroll-item">
							<image :src="item.picUrl" mode="aspectFill"></image>
							<view class="scroll-right">
								<view class="recommend-name">{{ item.name }}</view>
								<view class="recommend-price">
									<text>¥{{ item.retailPrice }}</text>
									/台
								</view>
							</view>
						</view>
					</navigator>
				</view>
			</scroll-view>
		</view>
		<!-- 加购数量 -->
		<view class="num-module" v-if="checkedSku.isSupportAddbuy && checkedSku.unitPrice && checkedSku.unitPrice > 0">
			<view class="plus-buy">
				<view class="title">加购</view>
				<view class="plus-name">
					{{ checkedSku.unitDescribe }}
					<text>￥{{ checkedSku.unitPrice }}</text>
					/{{ checkedSku.unitArea }}
				</view>
			</view>
			<view class="plus-num" style="padding-left: 80rpx">
				<view class="title" style="color: #000; width: 160rpx">加购数量</view>
				<view class="calc-counter">
					<view :class="'minus-btn  ' + (plusNum == minNum ? 'disable' : '')" @tap="minusNum">-</view>
					<input class="num-input" :data-max="checkedSku.unitMaximum" @input="bindGoodsNumInput" type="number"
						maxlength="3" placeholder="" :value="plusNum" />
					<!-- <view class="num-input">{{plusNum}}</view> -->
					<view :class="'plus-btn  ' + (plusNum >= checkedSku.unitMaximum ? 'disable' : '')" @tap="addNum">+
					</view>
				</view>
			</view>
			<view style="color: #fe2b54; margin: 8rpx 0 0" v-if="plusNum != 0">
				每份{{ checkedSku.unitArea }},加购{{ plusNum == null ? 0 : plusNum }}份,合计{{ addPurchaseAmount }}元
			</view>
		</view>

		<!-- 加购 -->
		<!-- wx:if="{{goods.productType==4&&goods.unitPrice&&goods.unitPrice>0}}" -->
		<view class="num-module" v-if="goods.productType == 4 && goods.unitPrice && goods.unitPrice > 0">
			<view class="plus-num">
				<view class="title" style="color: #000; width: 160rpx; justify-content: flex-start">购买数量</view>
				<view style="display: flex; align-items: center">
					<view class="calc-counter" style="height: 62rpx; line-height: 62rpx">
						<input class="num-input" style="height: 62rpx; line-height: 62rpx; width: 140rpx; border: none"
							@input="bindGoodsNumInput" type="number" maxlength="4" placeholder="" :value="plusNum" />
					</view>
					<view style="margin-left: 8rpx">{{ goods.unitArea }}</view>
				</view>
			</view>
			<view style="color: #fe2b54; margin: 8rpx 0 0">
				每增加1{{ goods.unitArea }}，增加{{ goods.unitPrice }}元，服务人数根据实际购买量指派。</view>
		</view>

		<!-- 团购评价 -->
		<view class="group-evaluation"  v-if="goodsComment.length>0">
			<view class="title" @tap="goWholeEval">
				<view class="left">团购评价（{{ goodsCommentCount }}条）</view>
				<view class="right">
					<view>查看全部</view>
					<van-icon name="arrow" color="#85868A" />
				</view>
			</view>
			<view class="evaluation-item" v-for="(item, index) in goodsComment" :key="index">
				<view class="item-left">
					<view class="eval-top">
						<image :src="item.cusHeadImg" mode="aspectFill" class="avatar"></image>
						<view class="name">{{ item.cusName }}</view>
						<view class="tag">{{ item.cusLabel }}</view>
						<view class="hp">{{ item.commentType }}</view>
					</view>
					<view class="eval-content">
						{{ item.comment }}
					</view>
				</view>

				<view class="item-right">
					<image :src="item.commentImg" mode="aspectFill"></image>
				</view>
			</view>
		</view>

		<view class="detail">
			<!-- <template is="wxParse" :data="wxParseData:goodsDetail.nodes"/> -->
			<mp-html :content="article_goodsDetail"></mp-html>
		</view>

		<!-- 大家都在看 -->
		<view class="related-goods" v-if="relatedGoods.length > 0">
			<view class="h">
				<view class="line"></view>
				<text class="title">大家都在看</text>
			</view>
			<view class="b">
				<view class="item" v-for="(item, index) in relatedGoods" :key="index">
					<navigator :url="'/pages/goods/goods?id=' + item.id">
						<image class="img" :src="item.picUrl" background-size="cover"></image>
						<text class="name">{{ item.name }}</text>
						<text class="price">￥{{ item.retailPrice }}</text>
					</navigator>
				</view>
			</view>
		</view>

		<!-- 规格选择界面 -->
		<view class="attr-pop-box" v-if="openshow">
			<view class="attr-pop">
				<view class="close" @tap="closeAttr">
					<van-icon class="icon" name="cross" />
				</view>
			</view>
		</view>
		<!-- 规格选择界面 -->
		<view class="attr-pop-box" v-if="openAttr">
			<view class="attr-pop">
				<view class="close" @tap="closeAttr">
					<van-icon class="icon" name="cross" />
				</view>
				<view class="img-info">
					<image class="img" :src="goods.picUrl"></image>
					<view class="info">
						<view class="c">
							<view class="p">价格：￥{{ checkedSpecPrice }}</view>
							<view class="a">{{ tmpSpecText }}</view>
						</view>
					</view>
				</view>

				<!-- 规格列表 -->
				<view class="spec-con">
					<view class="spec-item" v-for="(item, index) in specificationList" :key="index">
						<view class="name">{{ item.name }}</view>

						<view class="values">
							<view :class="'value ' + (vitem.checked ? 'selected' : '')" @tap="clickSkuValue"
								:data-value-id="vitem.id" :data-name="vitem.specification"
								v-for="(vitem, index1) in item.valueList" :key="index1">
								{{ vitem.value }}
							</view>
						</view>
					</view>

					<view class="spec-item" v-if="groupon.length > 0">
						<view class="name">团购立减</view>
						<view class="values">
							<view :class="'value ' + (vitem.checked ? 'selected' : '')" @tap="clickGroupon"
								:data-value-id="vitem.id" :data-name="vitem.specification"
								v-for="(vitem, index) in groupon" :key="vitem.id">
								￥{{ vitem.discount }} ({{ vitem.discountMember }}人)
							</view>
						</view>
					</view>

					<!-- 数量 -->
					<view class="number-item">
						<view class="name">数量</view>
						<view class="selnum">
							<!-- <view class="cut" bindtap="cutNumber">-</view> -->
							<input :value="number" class="number" :disabled="true" type="number" />
							<!-- <view class="add" bindtap="addNumber">+</view> -->
						</view>
					</view>
				</view>
			</view>
		</view>

		<!-- 联系客服
<view class="contact">
	<contact-button style="opacity:0;position:absolute;" type="default-dark" session-from="weapp" size="36">
	</contact-button>
</view> -->

		<!-- 底部按钮 -->
		<view class="bottom-btn" :style="'position:' + myqr_bottom_btn">
			<view class="l l-collect" @tap="addCollectOrNot" v-if="!isGroupon">
				<view class="collect-wrapper">
					<van-icon class="icon" name="star" color="#d77958" v-if="collect" size="22px" />
					<van-icon class="icon" size="22px" color="#d77958" name="star-o" v-else />
					<text class="jz-color collect-text">收藏</text>
				</view>
			</view>

			<view class="l l-kefu">
				<view class="service-wrapper" @tap="goIm">
					<view class="contact-block">
						<!-- <contact-button style="opacity:0;position:absolute; left:16rpx;  top:0rpx;" type="default-dark"
					session-from="weapp" size="44">
				</contact-button> -->
						<van-icon name="service-o" color="#d77958" size="22px" />
					</view>

					<text class="jz-color">在线客服</text>
				</view>
			</view>

			<block v-if="checkedSku.type == 0">
				<!-- 买约一体 -->
				<view class="c" @tap="addFast" data-type="1" v-if="!soldout || !hasLogin">立即预约</view>
			</block>
			<view class="dis-order-wrapper" v-else-if="checkedSku.type == 3">
				<!-- 买约分离 -->
				<view class="self-order" data-type="0" @tap="addFast">
					<view class="buy-type">先买后约</view>
				</view>
				<view class="spread-order" data-type="1" @tap="addFast">
					<view class="buy-type jz-color" style="overflow: hidden">立即预约</view>
				</view>
			</view>
			<view class="dis-order-wrapper" v-else-if="checkedSku.type == 2">
				<!-- 中介 -->
				<view class="self-order" data-type="0" @tap="addFast">
					<view class="buy-type">立即购买</view>
				</view>
			</view>
			<block v-else-if="checkedSku.type == 6">
				<!-- 实物商品 -->
				<view class="c" @tap="addFast" data-type="1" v-if="!soldout || !hasLogin">立即购买</view>
			</block>
			<block v-else>
				<!-- 其他 -->
				<view class="c" @tap="addFast" data-type="1" v-if="!soldout || !hasLogin">立即预约</view>
			</block>
		</view>

		<!-- bind:click-overlay="onSkuClose" -->
		<!-- sku规格列表 -->
		<van-popup :show="chooseSkuVisible" round position="bottom" @click-overlay="onSkuClose">
			<view class="spu-popup">
				<view class="popup-good">
					<view class="left">
						<image :src="currentSku.url" mode="aspectFill"></image>
						<view class="spu-price">
							¥
							<text>{{ currentSku.price }}</text>
						</view>
						<view class="spu-price-old">¥{{ currentSku.price }}</view>
					</view>
					<image src="https://jzmall.lifejingzhi.com/file/jzmall/weixin/sku-close.png" mode="aspectFill"
						class="sku-close" @tap="onSkuClose"></image>
				</view>
				<scroll-view :scroll-y="true" class="sku-list-block">
					<view class="spu-title">选择品类</view>
					<view style="padding-bottom: 20rpx">
						<view :class="'sku-item ' + (activeSku == item.id ? 'active-sku' : '')" :data-index="index"
							:data-id="item.id" @tap="selectSku" v-for="(item, index) in productList" :key="index">
							<view>
								{{ item.specifications }}
							</view>
						</view>
					</view>
				</scroll-view>
				<view class="sku-btn" @tap="confSku">确认</view>
			</view>
		</van-popup>
	</view>
</template>

<script>
	var app = getApp();
	var WxParse = require('../../lib/wxParse/wxParse.vue');
	var util = require('../../utils/util.js');
	var api = require('../../config/api.js');
	var user = require('../../utils/user.js');
	export default {
		data() {
			return {
				goodsCommentCount: '',
				supplyEvent: {},
				plusNum: '0',
				chooseSkuVisible: false,
				activeSku: 0,
				countSalesNumber: '',
				recGoodsList: [],
				goodsComment: [],
				goodsBuyTime: {},
				buyToastShow: false,

				checkedSku: {
					specifications: [''],
					id: '',
					retailPrice: '',
					counterPrice: '',
					price: '',
					isSupportAddbuy: '',
					unitPrice: '',
					unitMaximum: '',
					unitArea: '',
					type: 0
				},

				currentSku: {
					specifications: [''],
					id: '',
					retailPrice: '',
					counterPrice: '',
					price: '',
					url: ''
				},

				recGoodsNum: '',
				selfPayCheck: false,
				spreadPayShow: false,
				spreadPayChecked: false,
				canShare: false,
				id: 0,

				goods: {
					isNew: '',
					gallery: [],
					name: '',
					brief: '',
					productType: 0,
					unitPrice: '',
					unitArea: '',
					picUrl: ''
				},

				groupon: [],

				//该商品支持的团购规格
				grouponLink: {},

				//参与的团购
				attribute: [],

				issueList: [],
				comment: [],

				//brand: {},
				specificationList: [],

				productList: [],
				relatedGoods: [],
				cartGoodsCount: 0,
				userHasCollect: 0,
				number: 1,
				checkedSpecText: '规格数量选择',
				tmpSpecText: '请选择规格数量',
				checkedSpecPrice: 0,
				openAttr: false,
				openShare: false,
				collect: false,
				shareImage: '',
				isGroupon: false,

				//标识是否是一个参团购买
				soldout: false,

				canWrite: false,

				//用户是否获取了保存相册的权限
				name_height: 58,

				//根据名称长度 设置高度
				userInfo: {},

				hasLogin: false,
				shareId: 0,

				//options传递过来的参数 表示是打开哪个分享
				wxShareId: 0,

				//如果要分享此商品的分享id
				addressInfo: {},

				rId: 0,

				//分享人id,
				selfDiscount: 0,

				spreadDiscount: 0,

				referee: {
					self: 0,
					share: 0
				},

				myqr_show: false,

				//我的分享二维码
				myqr_url: null,

				//分享海报及推广语言
				myqr_ads: '',

				myqr_blur: 100,

				//背景模糊值
				myqr_bottom_btn: 'fixed',

				//底部功能按钮

				fraId: '',

				//加盟商id
				addPurchaseAmount: 0,

				addPurchase: [],
				serviceId: '',
				bookDetail: {},
				minNum: 0,
				qid: '',

				//加盟商服务商品的复购id
				//商城后台 商品渠道二维码过来的
				channelId: '',

				selfPayChecked: '',
				totalPrice: '',
				activited: '',
				article_goodsDetail: '',

				vitem: {
					checked: false,
					id: '',
					specification: '',
					value: '',
					discount: '',
					discountMember: ''
				},
				showCurrentStore: false,
				lng: '',
				lat: ''
			};
		}, // 页面分享
		onShareAppMessage: function() {
			let that = this;
			if (!app.globalData.hasLogin) {
				uni.navigateTo({
					url: '/pages/auth/login/login'
				});
				return;
			}
			//获取分享id 用来追踪链接
			//引荐人和非引荐人的 链接不同
			let fraId = uni.getStorageSync('fraId');
			let imgUrl = that.goods.shareWxUrl ? that.goods.shareWxUrl : that.goods.gallery[0];
			var path = '/pages/goods/goods?id=' + that.id + '&rId=' + that.userInfo.id;
			if (that.userInfo.isDis) {
				//是引荐人
				path = '/pages/goods/goods?id=' + that.id + '&shareId=' + that.wxShareId;
			}
			if (fraId) {
				path = path + '&fraId=' + fraId;
			}
			this.hidePoster();
			return {
				title: that.goods.name + '\n' + that.myqr_ads,
				path: path,
				imageUrl: imgUrl
			};
		},
		onLoad: function(options) {
			console.log(options);
			//  if (app.globalData.hasLogin) {
			// let userInfo = wx.getStorageSync('userInfo');
			// app.globalData.userInfo=userInfo;
			// this.setData({
			//     userInfo: userInfo,
			//     hasLogin: true
			//   });
			// }
			var scene = decodeURIComponent(options.scene);
			console.log(scene);
			let sceneStr = scene.split(';');
			if (scene.indexOf('fra') >= 0) {
				this.setData({
					id: sceneStr[0].split(',')[1],
					serviceId: sceneStr[1].split(',')[1]
				});
				uni.setStorageSync('fraId', sceneStr[2].split(',')[1]);
			}

			//如果是id,XXX;chId,XXX表示从商城后台生成的商品渠道二维码过来的；
			if (scene.indexOf('chId') >= 0) {
				this.setData({
					id: sceneStr[0].split(',')[1],
					channelId: sceneStr[1].split(',')[1]
				});
				uni.setStorageSync('channelId', this.channelId);
			}

			//从加盟商商品复购码进入qid,123,456,789  qid 123=分享码id 456是商品id 789加盟商id
			if (scene.indexOf('qid') >= 0) {
				let datas = scene.split(',');
				this.setData({
					qid: datas[1],
					id: datas[2],
					fraId: datas[3]
				});
				console.info(this.qid);
				console.info(this.id);
				console.info(this.fraId);
				uni.setStorageSync('fraId', this.fraId);
			}

			// 页面初始化 options为页面跳转所带来的参数
			var addressInfo = uni.getStorageSync('addressInfo');
			if (addressInfo) {
				this.setData({
					addressInfo: addressInfo
				});
			}
			if (options.rId) {
				this.setData({
					rId: parseInt(options.rId)
				});
			}
			if (options.shareId) {
				this.setData({
					shareId: parseInt(options.shareId)
				});
			}
			if (options.id) {
				this.setData({
					id: parseInt(options.id)
				});
			}
			if (options.fraId) {
				uni.setStorageSync('fraId', options.fraId);
			}

			//加载客户详情
			this.getGoodsInfo();
		},
		onShow: function() {
			// 页面显示
			if (app.globalData.hasLogin) {
				let userInfo = uni.getStorageSync('userInfo');
				app.globalData.userInfo = userInfo;
				this.setData({
					userInfo: userInfo,
					hasLogin: true
				});
			}
			// this.getReferee();
			// 已登陆并且是引荐人展示自购推广
			if (this.hasLogin && this.userInfo.isDis) {
				// this.setData({
				//   selfDiscount:0,
				//  spreadDiscount:0,
				// })
			}
		},
		onHide: function() {
			// 页面隐藏
		},
		onUnload: function() {
			// 页面关闭
			this.setData({
				showCurrentStore: false
			})
		},
		onReady: function() {
			// 页面渲染完成
		},
		methods: {
			goCustomerService() {
				//跳转微信客服
				console.info('goCustomerService');
				uni.openCustomerServiceChat({
					extInfo: {
						url: 'https://work.weixin.qq.com/kfid/kfc1fcfae84340d5125'
					},
					corpId: 'ww034f0b524f8ead00',
					success(res) {},
					fail(res) {
						console.info(res);
					}
				});
			},

			shareFriendOrCircle: function() {
				if (!app.globalData.hasLogin) {
					uni.navigateTo({
						url: '/pages/auth/login/login'
					});
					return;
				}

				//分享 弹出图片
				let that = this;
				uni.removeStorageSync(String(that.goods.id));
				//取出本地缓存中的分享图
				// let sUrl=wx.getStorageSync(String(that.data.goods.id));
				// if(sUrl!=null&&sUrl!=""){//获取过的分享图 不需要再次获取
				//   that.setData({
				//     myqr_url:sUrl,
				//     myqr_show:true,
				//     myqr_blur:5
				//   });
				//   return;
				// }
				uni.showLoading({
					title: '生成中'
				});
				util.request(api.QrGoodsCodeCreate, {
					goodsId: that.goods.id
				}).then(function(res) {
					uni.hideLoading();
					if (res.errno == 0) {
						that.setData({
							myqr_url: res.data.imgUrl,
							myqr_show: true,
							myqr_blur: 5
						});
						//保存分享图url到本地缓存
						// wx.setStorageSync(String(that.data.goods.id),res.data.imgUrl);
					} else if (res.errno == 501) {
						uni.navigateTo({
							url: '/pages/auth/login/login'
						});
					} else {
						uni.showToast({
							title: res.errmsg,
							duration: 5000
						});
					}
				});

				//var that = this;
				/*if (this.data.openShare === false) {
        this.setData({
          openShare: !this.data.openShare
        });
      } else {
        return false;
      }*/
			},

			handleSetting: function(e) {
				var that = this;
				// console.log(e)
				if (!e.detail.authSetting['scope.writePhotosAlbum']) {
					uni.showModal({
						title: '警告',
						content: '不授权无法保存',
						showCancel: false
					});
					that.setData({
						canWrite: false
					});
				} else {
					uni.showToast({
						title: '保存成功'
					});
					that.setData({
						canWrite: true
					});
				}
			},

			// 保存分享图
			saveShare: function() {
				let that = this;
				uni.showLoading({
					title: '图片保存中'
				});
				console.log(that);
				uni.downloadFile({
					url: that.myqr_url,
					success: function(res) {
						console.log(res);
						uni.saveImageToPhotosAlbum({
							filePath: res.tempFilePath,
							success: function(res) {
								uni.hideLoading();
								uni.showModal({
									title: '存图成功',
									content: '图片成功保存到相册了，可以分享到朋友圈了',
									showCancel: false,
									confirmText: '好的',
									confirmColor: '#d77958',
									success: function(res) {
										if (res.confirm) {
											console.log('用户点击确定');
											that.setData({
												myqr_show: false,
												myqr_blur: 0
											});
										}
									}
								});
							},
							fail: function(res) {
								uni.hideLoading();
								uni.showModal({
									title: '警告',
									content: '不授权无法保存',
									showCancel: false
								});
								that.setData({
									myqr_show: false,
									myqr_blur: 0
								});
							}
						});
					},
					fail: function(res) {
						uni.hideLoading();
						console.log(res);
					}
				});
			},

			//从分享的团购进入
			getGrouponInfo: function(grouponId) {
				let that = this;
				util.request(api.GroupOnJoin, {
					grouponId: grouponId
				}).then(function(res) {
					if (res.errno === 0) {
						that.setData({
							grouponLink: res.data.groupon,
							id: res.data.goods.id
						});
						//获取商品详情
						that.getGoodsInfo();
					}
				});
			},

			getReferee: function() {
				let that = this;
				util.request(api.GoodsDetail, {
					id: that.id,
					rId: that.rId
				}).then((res) => {
					if (res.errno === 0) {
						if (res.data.referee.self != null && res.data.referee.self > 0) {
							res.data.referee.self = res.data.referee.self.toFixed(2);
							res.data.referee.share = res.data.referee.share.toFixed(2);
						}
						that.setData({
							referee: res.data.referee
						});
						console.info(res.data.referee);
						if (JSON.stringify(res.data.referee) == '{}') {
							that.setData({
								referee: {
									self: 0,
									share: 0,
									isReferee: false
								}
							});
						}
						//是引荐人 更新userinfo数据（因为如果后台将客户标记为引荐人 此userinfo是取缓存数据 不会更新状态）
						if (that.referee != null && that.referee.isReferee) {
							let userInfo = that.userInfo;
							userInfo.isDis = true;
							that.setData({
								userInfo: userInfo
							});
							uni.setStorageSync('userInfo', userInfo);
						}
					}
				});
			},

			// 获取商品信息
			getGoodsInfo: function() {
				console.info('1-》getGoodsInfo start');
				let that = this;
				let params = {
					id: that.id,
					rId: that.rId,
					qid: that.qid
				};
				if (this.serviceId) {
					params = {
						id: that.id,
						rId: that.rId,
						serviceId: that.serviceId
					};
				}
				util.request(api.GoodsDetail, params).then(function(res) {
					console.info('2-》getGoodsInfo end');
					console.info(res);
					if (res.errno === 0) {
						let _specificationList = res.data.specificationList;
						// 如果仅仅存在一种货品，那么商品页面初始化时默认checked
						if (_specificationList.length == 1) {
							if (_specificationList[0].valueList.length == 1) {
								_specificationList[0].valueList[0].checked = true;
								console.info(res.data.info);
								// 如果仅仅存在一种货品，那么商品价格应该和货品价格一致
								// 这里检测一下

								let _productPrice = res.data.productList[0].price;
								let _goodsPrice = res.data.info.retailPrice;
								if (_productPrice != _goodsPrice) {
									console.error('商品数量价格和货品不一致');
								}
								that.setData({
									checkedSpecText: _specificationList[0].valueList[0].value,
									tmpSpecText: '已选择：' + _specificationList[0].valueList[0].value
								});
							}
						}
						console.info('3-》getGoodsInfo count end');
						//设置显示名称的控件高度
						let height = 56;
						if ((res.data.info.name.length > 17) & (res.data.info.name.length < 36)) height = 76;
						else if (res.data.info.name.length >= 36) {
							height = 116;
						}
						// console.info(res.data.share);

						let goodsComment = res.data.goodsComment;
						let list = [];
						goodsComment.forEach((item) => {
							let obj = item;
							if (item.commentImgs) {
								let img = item.commentImgs.split(',');
								if (img.length >= 1) {
									obj.commentImg = img[0];
								} else {
									obj.commentImg = '';
								}
							}
							list.push(obj);
						});
						let checkedSku = res.data.productList[0];

						// if (res.data.info.type == 4) {
						//   that.setData({
						//     plusNum: 1,
						//     minNum: 1
						//   })
						// }
						if (res.data.info.gallery != null && res.data.info.gallery != '') {
							res.data.info.gallery = res.data.info.gallery.split(',');
						}
						that.setData({
							goodsCommentCount: res.data.goodsCommentCount,
							goods: res.data.info,
							// attribute: res.data.attribute,
							// issueList: res.data.issue,
							// comment: res.data.comment,
							//brand: res.data.brand,
							specificationList: res.data.specificationList,
							productList: res.data.productList,
							//productList: res.data.info.products,
							userHasCollect: res.data.userHasCollect,
							shareImage: res.data.shareImage,
							checkedSpecPrice: res.data.info.retailPrice,
							// canShare: res.data.share,
							name_height: height,
							wxShareId: res.data.shareId,
							countSalesNumber: res.data.countSalesNumber,
							recGoodsList: res.data.recGoodsList,
							recGoodsNum: res.data.recGoodsList.length,
							goodsComment: list,
							goodsBuyTime: res.data.goodsBuyTime,
							checkedSku: checkedSku,
							currentSku: checkedSku,
							buyToastShow: true,
							// plusNum:res.data.info.type==4?1:0
							// bookDetail: res.data.bookDetail
						});
						console.log("这是我的打印",res.data.bookDetail);
						// setTimeout(()=>{
						// 	that.setData({
						// 		buyToastShow:true
						// 	})
						// },500);
						// setTimeout(()=>{
						// 	that.setData({
						// 		buyToastShow:false
						// 	})
						// },3500);

						if (res.data.userHasCollect == 1) {
							that.setData({
								collect: true
							});
						} else {
							that.setData({
								collect: false
							});
						}
						that.article_goodsDetail = that.escape2Html(res.data.info.detail);
						//获取推荐商品
						// that.getGoodsRelated();
					}
				});
			},

			// 获取推荐商品
			getGoodsRelated: function() {
				let that = this;
				util.request(api.GoodsRelated, {
					id: that.id,
					shopId: this.addressInfo.shopId
				}).then(function(res) {
					if (res.errno === 0) {
						that.setData({
							relatedGoods: res.data.list
						});
					}
				});
			},

			// 团购选择
			clickGroupon: function(event) {
				let that = this;

				//参与团购，不可更改选择
				if (that.isGroupon) {
					return;
				}
				let specName = event.currentTarget.dataset.name;
				let specValueId = event.currentTarget.dataset.valueId;
				let _grouponList = this.groupon;
				for (let i = 0; i < _grouponList.length; i++) {
					if (_grouponList[i].id == specValueId) {
						if (_grouponList[i].checked) {
							_grouponList[i].checked = false;
						} else {
							_grouponList[i].checked = true;
						}
					} else {
						_grouponList[i].checked = false;
					}
				}
				this.setData({
					groupon: _grouponList
				});
			},

			// 规格选择
			clickSkuValue: function(event) {
				let that = this;
				let specName = event.currentTarget.dataset.name;
				let specValueId = event.currentTarget.dataset.valueId;

				//判断是否可以点击

				//TODO 性能优化，可在wx:for中添加index，可以直接获取点击的属性名和属性值，不用循环
				let _specificationList = this.specificationList;
				for (let i = 0; i < _specificationList.length; i++) {
					if (_specificationList[i].name === specName) {
						for (let j = 0; j < _specificationList[i].valueList.length; j++) {
							if (_specificationList[i].valueList[j].id == specValueId) {
								//如果已经选中，则反选
								if (_specificationList[i].valueList[j].checked) {
									_specificationList[i].valueList[j].checked = false;
								} else {
									_specificationList[i].valueList[j].checked = true;
								}
							} else {
								_specificationList[i].valueList[j].checked = false;
							}
						}
					}
				}
				this.setData({
					specificationList: _specificationList
				});
				//重新计算spec改变后的信息
				this.changeSpecInfo();

				//重新计算哪些值不可以点击
			},

			//获取选中的团购信息
			getCheckedGrouponValue: function() {
				let checkedValues = {};
				let _grouponList = this.groupon;
				for (let i = 0; i < _grouponList.length; i++) {
					if (_grouponList[i].checked) {
						checkedValues = _grouponList[i];
					}
				}
				return checkedValues;
			},

			//获取选中的规格信息
			getCheckedSpecValue: function() {
				let checkedValues = [];
				let _specificationList = this.specificationList;
				for (let i = 0; i < _specificationList.length; i++) {
					let _checkedObj = {
						name: _specificationList[i].name,
						valueId: 0,
						valueText: ''
					};
					for (let j = 0; j < _specificationList[i].valueList.length; j++) {
						if (_specificationList[i].valueList[j].checked) {
							_checkedObj.valueId = _specificationList[i].valueList[j].id;
							_checkedObj.valueText = _specificationList[i].valueList[j].value;
						}
					}
					checkedValues.push(_checkedObj);
				}
				return checkedValues;
			},

			//判断规格是否选择完整
			isCheckedAllSpec: function() {
				return !this.getCheckedSpecValue().some(function(v) {
					if (v.valueId == 0) {
						return true;
					}
				});
			},

			getCheckedSpecKey: function() {
				let checkedValue = this.getCheckedSpecValue().map(function(v) {
					return v.valueText;
				});
				return checkedValue;
			},

			// 规格改变时，重新计算价格及显示信息
			changeSpecInfo: function() {
				let checkedNameValue = this.getCheckedSpecValue();

				//设置选择的信息
				let checkedValue = checkedNameValue
					.filter(function(v) {
						if (v.valueId != 0) {
							return true;
						} else {
							return false;
						}
					})
					.map(function(v) {
						return v.valueText;
					});
				if (checkedValue.length > 0) {
					this.setData({
						tmpSpecText: checkedValue.join('　')
					});
				} else {
					this.setData({
						tmpSpecText: '请选择规格数量'
					});
				}
				if (this.isCheckedAllSpec()) {
					this.setData({
						checkedSpecText: this.tmpSpecText
					});

					// 规格所对应的货品选择以后
					let checkedProductArray = this.getCheckedProductItem(this.getCheckedSpecKey());
					if (!checkedProductArray || checkedProductArray.length <= 0) {
						this.setData({
							soldout: true
						});
						console.error('规格所对应货品不存在');
						return;
					}
					let checkedProduct = checkedProductArray[0];
					if (checkedProduct.number > 0) {
						this.setData({
							checkedSpecPrice: checkedProduct.price,
							soldout: false
						});
					} else {
						this.setData({
							checkedSpecPrice: this.goods.retailPrice,
							soldout: true
						});
					}
				} else {
					this.setData({
						checkedSpecText: '规格数量选择',
						checkedSpecPrice: this.goods.retailPrice,
						soldout: false
					});
				}
			},

			// 获取选中的产品（根据规格）
			getCheckedProductItem: function(key) {
				return this.productList.filter(function(v) {
					if (v.specifications.toString() == key.toString()) {
						return true;
					} else {
						return false;
					}
				});
			},

			//添加或是取消收藏
			addCollectOrNot: function() {
				let that = this;
				util.request(
					api.CollectAddOrDelete, {
						type: 0,
						valueId: this.id
					},
					'POST'
				).then(function(res) {
					if (that.userHasCollect == 1) {
						that.setData({
							collect: false,
							userHasCollect: 0
						});
					} else {
						that.setData({
							collect: true,
							userHasCollect: 1
						});
					}
				});
			},

			//立即购买（先自动加入购物车）appType=0:先买后约 appType=1:立即预约
			addFast: function(event) {
				let appType = event.currentTarget.dataset.type;
				var that = this;

				// 如果是安心包只能购买一个
				console.log(this.goods);
				// 如果是中介类，跳转到信息收集页面
				// if (this.data.goods.type == 2) { //20230710屏蔽
				//   app.globalData.infoGoods = {
				//     name: this.data.goods.name,
				//     brief: this.data.goods.brief,
				//     picUrl: this.data.goods.picUrl,
				//     type: this.data.goods.type
				//   };
				//   wx.navigateTo({
				//     url: '/pages/goods/infoCollect/infoCollect'
				//   });
				//   return false;
				// }

				// if (this.data.openAttr == false) {
				//   //打开规格选择窗口
				//   this.setData({
				//     openAttr: !this.data.openAttr
				//   });
				// } else {

				//提示选择完整规格
				// if (!this.isCheckedAllSpec()) {
				//   util.showErrorToast('请选择完整规格');
				//   return false;
				// }

				//根据选中的规格，判断是否有对应的sku信息
				// let checkedProductArray = this.getCheckedProductItem(this.getCheckedSpecKey());

				// if (!checkedProductArray || checkedProductArray.length <= 0) {
				//   //找不到对应的product信息，提示没有库存
				//   util.showErrorToast('没有库存');
				//   return false;
				// }

				// let checkedProduct = checkedProductArray[0];

				//验证库存
				// if (checkedProduct.number <= 0) {
				//   util.showErrorToast('没有库存');
				//   return false;
				// }

				//验证团购是否有效
				let checkedGroupon = this.getCheckedGrouponValue();
				//如果goodstype=4 补差类商品 加购直接加的是份数
				//立即购买
				util.request(
					api.CartFastAdd, {
						goodsId: this.goods.id,
						number: this.number,
						// productId: checkedProduct.id,
						productId: this.checkedSku.id,
						shareId: this.shareId,
						unitIncreaseNumber: this.plusNum,
						// bookDetailId: this.bookDetail.bookDetailId ? this.bookDetail.bookDetailId : null,
						originalOrderId: this.bookDetail.originalOrderId ? this.bookDetail.originalOrderId : null,
						qId: this.qid
					},
					'POST'
				).then((res) => {
					if (res.errno == 0) {
						// 如果storage中设置了cartId，则是立即购买，否则是购物车购买
						try {
							uni.setStorageSync('cartId', res.data);
							uni.setStorageSync('grouponRulesId', checkedGroupon.id);
							uni.setStorageSync('grouponLinkId', that.grouponLink.id);
							// 支付结果页面展示图片用
							app.globalData.infoGoods = {
								name: this.goods.name,
								brief: this.goods.brief,
								picUrl: this.goods.picUrl,
								type: this.goods.type
							};

							//存储客户按钮选择的预约动作
							uni.setStorageSync('appType', appType ? appType : '');
							if (that.shareId > 0) {
								uni.navigateTo({
									url: '/pages/checkout/checkout?shareId=' + that.shareId
								});
							} else {
								uni.navigateTo({
									url: '/pages/checkout/checkout'
								});
							}
						} catch (e) {
							console.log('CatchClause', e);
							console.log('CatchClause', e);
							console.info(e);
						}
					} else {
						uni.showToast({
							title: res.errmsg,
							icon: 'none',
							duration: 3000
						});
						// util.showErrorToast(res.errmsg);
					}
				});
				//}
			},

			//添加到购物车
			addToCart: function() {
				var that = this;
				if (this.openAttr == false) {
					//打开规格选择窗口
					this.setData({
						openAttr: !this.openAttr
					});
				} else {
					//提示选择完整规格
					if (!this.isCheckedAllSpec()) {
						util.showErrorToast('请选择完整规格');
						return false;
					}

					//根据选中的规格，判断是否有对应的sku信息
					let checkedProductArray = this.getCheckedProductItem(this.getCheckedSpecKey());
					// if (!checkedProductArray || checkedProductArray.length <= 0) {
					//   //找不到对应的product信息，提示没有库存
					//   util.showErrorToast('没有库存');
					//   return false;
					// }

					let checkedProduct = checkedProductArray[0];
					//验证库存
					// if (checkedProduct.number <= 0) {
					//   util.showErrorToast('没有库存');
					//   return false;
					// }

					//添加到购物车
					util.request(
						api.CartAdd, {
							goodsId: this.goods.id,
							number: this.number,
							productId: checkedProduct.id
						},
						'POST'
					).then(function(res) {
						let _res = res;
						if (_res.errno == 0) {
							uni.showToast({
								title: '添加成功'
							});
							that.setData({
								openAttr: !that.openAttr,
								cartGoodsCount: _res.data
							});
							//显示tab购物车缓存
							//user.cartadd(that.data.number);

							if (that.userHasCollect == 1) {
								that.setData({
									collect: true
								});
							} else {
								that.setData({
									collect: false
								});
							}
						} else {
							util.showErrorToast(_res.errmsg);
						}
					});
				}
			},

			cutNumber: function() {
				this.setData({
					number: this.number - 1 > 1 ? this.number - 1 : 1
				});
			},

			addNumber: function() {
				// 如果是安心包只能购买一个
				console.log(this.goods);
				if (this.goods.goodsSn == '1036016') {
					uni.showToast({
						title: '此款商品只能购买一个',
						icon: 'none',
						duration: 2000
					});
				} else {
					this.setData({
						number: this.number + 1
					});
				}
			},

			switchAttrPop: function() {
				if (this.openAttr == false) {
					this.setData({
						openAttr: !this.openAttr
					});
				}
			},

			closeAttr: function() {
				this.setData({
					openAttr: false
				});
			},

			closeShare: function() {
				this.setData({
					openShare: false
				});
			},

			openCartPage: function() {
				uni.switchTab({
					url: '/pages/tabBar/cart/cart'
				});
			},

			qrtouchstart: function() {
				this.setData({
					myqr_blur: 100,
					myqr_show: false
				});
			},

			copyToHM() {
				let copyLink = this.goods.copyLink;
				console.log(copyLink);
				if (copyLink != undefined && copyLink != '') {
					uni.setClipboardData({
						data: copyLink,
						success(res) {
							uni.getClipboardData({
								success(res) {
									console.log(res.data); // data
								}
							});
						}
					});
				} else {
					uni.showToast({
						title: '该商品暂未配置盒马链接',
						icon: 'none'
					});
				}
			},

			onSelfPayChange(e) {
				console.log(e);
				this.setData({
					selfPayChecked: e.detail
				});
			},

			onSpreadPayChange(e) {
				console.log(e);
				this.setData({
					spreadPayChecked: e.detail
				});
			},

			cancelSpreadPay() {
				let spreadPayChecked = this.spreadPayChecked;
				if (spreadPayChecked == true) {
					uni.setStorageSync('spreadPayChecked', true);
				}
				this.setData({
					spreadPayShow: false
				});
			},

			goSpread() {
				let spreadPayChecked = uni.getStorageSync('spreadPayChecked');
				console.log(spreadPayChecked);
				if (spreadPayChecked != true) {
					this.setData({
						spreadPayShow: true
					});
				} else {
					// wx.navigateTo({
					//   url: '/pages/goods/goodsPoster/goodsPoster?goodsId='+this.data.goods.id,
					// })
					this.createPoster();
				}
			},

			posterCopy() {
				let that = this;
				uni.setClipboardData({
					data: that.myqr_ads,
					success: function(res) {
						uni.getClipboardData({
							success: function(res) {
								uni.showToast({
									title: '文案复制成功',
									icon: 'success',
									duration: 2000
								});
								// that.hidePoster();
							}
						});
					}
				});
			},

			hidePoster() {
				this.setData({
					myqr_show: false,
					myqr_blur: 100,
					myqr_bottom_btn: 'fixed'
				});
			},

			createPoster() {
				uni.showLoading({
					title: '生成中'
				});
				uni.pageScrollTo({
					scrollTop: 0
				});
				if (this.myqr_url != null) {
					uni.hideLoading();
					this.setData({
						myqr_show: true,
						myqr_blur: 25,
						myqr_bottom_btn: 'unset'
					});
					return;
				}
				util.request(api.QrGoodsCodeCreate, {
					goodsId: this.goods.id
				}).then((res) => {
					uni.hideLoading();
					if (res.errno == 0) {
						this.setData({
							myqr_url: res.data.imgUrl,
							myqr_ads: res.data.ads,
							myqr_show: true,
							myqr_blur: 25,
							myqr_bottom_btn: 'unset'
						});
					} else {
						util.showErrorToast('未设置分享图');
					}
				});
			},

			goSaveQrcode: function() {
				//保存二维码图片
				let that = this;
				console.info(that.myqr_url);
				uni.downloadFile({
					url: that.myqr_url,
					success: function(res) {
						if (res.statusCode === 200) {
							let img = res.tempFilePath;
							uni.saveImageToPhotosAlbum({
								filePath: img,
								success(res) {
									that.goCloseMyqr('个人专属二维码图片已保存到您的相册');
								},
								fail(res) {
									that.goCloseMyqr('网络或授权问题 图片保存失败 请重试');
								}
							});
						} else {
							that.goCloseMyqr('网络或授权问题 图片保存失败 请重试');
						}
					},
					fail(res) {
						that.goCloseMyqr('网络或授权问题 图片保存失败 请重试');
					}
				});
			},

			goCloseMyqr: function(msg) {
				//关闭分享图片的弹层
				this.hidePoster();
				if (msg) {
					uni.showToast({
						title: msg,
						icon: 'none',
						duration: 3000
					});
				}
			},

			reSpread() {
				let spreadPayChecked = this.spreadPayChecked;
				if (spreadPayChecked == true) {
					uni.setStorageSync('spreadPayChecked', true);
				}
				this.setData({
					spreadPayShow: false
				});
				this.createPoster();
				//  wx.navigateTo({
				//    url: '/pages/goods/goodsPoster/goodsPoster?goodsId='+this.data.goods.id,
				//  })
			},

			goMemberCenter() {
				if (!app.globalData.hasLogin) {
					uni.navigateTo({
						url: '/pages/auth/login/login'
					});
					return;
				} else {
					uni.navigateTo({
						url: '/pages/member/memberCenter/memberCenter'
					});
				}
			},

			onSkuClose() {
				this.setData({
					chooseSkuVisible: false
				});
			},

			showSkuPopup() {
				this.setData({
					chooseSkuVisible: true,
					currentSku: this.checkedSku,
					activeSku: this.checkedSku.id
				});
			},

			selectSku(e) {
				let id = e.currentTarget.dataset.id;
				let index = e.currentTarget.dataset.index;
				this.setData({
					activeSku: id,
					currentSku: this.productList[index]
				});
			},

			confSku() {
				this.setData({
					checkedSku: this.currentSku,
					chooseSkuVisible: false
				});
			},

			goWholeEval() {
				uni.navigateTo({
					url: '/pages/goods/wholeEvaluation/wholeEvaluation?id=' + this.id
				});
			},

			bindGoodsNumInput(e) {
				let max = e.currentTarget.dataset.max;
				let plusNum = parseInt(e.detail.value == '' ? '' : e.detail.value);
				if (plusNum > max) {
					plusNum = max;
				}
				this.addNumGoods(plusNum);
			},

			minusNum() {
				if (this.plusNum && this.plusNum == this.minNum) {
					return false;
				} else {
					console.info(this.plusNum);
					if (this.plusNum !== this.minNum) {
						let result = Number(this.plusNum) - 1;
						this.addNumGoods(result);
					}
				}
			},

			addNum() {
				//加购数量 默认1
				if (this.checkedSku.unitMaximum && this.plusNum && this.plusNum >= this.checkedSku.unitMaximum) {
					return false;
				} else {
					let plusNum = this.plusNum ? this.plusNum : 0;
					this.addNumGoods(plusNum * 1 + 1);
				}
			},

			addNumGoods(num) {
				let result = num;
				// console.info(this.data.goods.unitMaximum)
				// console.info(this.data.productList)

				// 加购类
				if (this.checkedSku.isSupportAddbuy) {
					let addPurchaseAmount = this.checkedSku.unitPrice * result;
					console.log(result);
					console.log(addPurchaseAmount);
					this.setData({
						plusNum: result,
						addPurchaseAmount: addPurchaseAmount,
						totalPrice: Number(this.checkedSku.price + addPurchaseAmount).toFixed(
							2) // - this.data.couponPrice
					});
				}
			},

			goIm() {
				uni.navigateTo({
					url: '/pages/im/im'
				});
			},
			getCurrentLocation() {

				uni.getLocation({
					type: 'wgs84', // 返回可以用于uni.openLocation的经纬度
					success: (res) => {
						console.log('当前位置的经度：' + res.longitude);
						console.log('当前位置的纬度：' + res.latitude);
						this.setData({
							showCurrentStore: true,
							lng: res.longitude,
							lat: res.latitude
						})
					},
					fail: () => {
						console.log('获取位置失败');
					}
				});
			},
			goServiceStore() {
				uni.openLocation({
					latitude: 31.21, // 纬度，范围为-90~90，负数表示南纬
					longitude: 121.60, // 经度，范围为-180~180，负数表示西经
					scale: 18, // 缩放比例
					name: '鲸致生活(长泰广场店)', // 位置名称
					address: '金科路2889号长泰广场F5层' // 详细地址
				})



			}
		}
	};
</script>
<style>
	.myqr {
		position: absolute;
		z-index: 999;
		width: 100%;
		text-align: center;
		height: auto;
		margin-top: 50rpx;
	}

	.myqr .cancel {
		width: 60rpx;
		height: 60rpx;
		margin-top: 30rpx;
		margin-left: 480rpx;
	}

	.myqr .img {
		width: 480rpx;
	}

	.myqr .btn {
		width: 120rpx;
		height: 120rpx;
		line-height: 120rpx;
		margin-top: 20rpx;
		padding: 30rpx;
		background: #ffffff;
		border-radius: 60rpx;
	}

	.container {
		/* margin-bottom: 100rpx; */
	}

	.user_column_item_image {
		width: 50rpx;
		height: 50rpx;
		margin-right: 26rpx;
		margin-top: 25rpx;
	}

	.flexb {
		width: 750rpx;
		height: 88rpx;
		line-height: 103rpx;
		padding-right: 31.25rpx;
		border-bottom: 1px solid #f4f4f4;
		font-size: 30rpx;
		color: #333;
		background: #fff;
		display: flex;
		flex-wrap: nowrap;
	}

	.flex {
		flex-grow: 1;
		text-align: center;
	}

	.show {
		width: 750rpx;
		height: 88rpx;
		background: #fff;
		border-bottom: 1px solid #f4f4f4;
	}

	.show .t {
		float: left;
		width: 600rpx;
		height: 88rpx;
		line-height: 88rpx;
		font-size: 29rpx;
		color: #333;
		margin-left: 31.25rpx;
	}

	.show .t .s {
		font-weight: 600;
	}

	.show .i {
		float: right;
		width: 52rpx;
		height: 52rpx;
		margin-right: 16rpx;
		margin-top: 28rpx;
	}

	.mark-img {
		width: 168rpx;
		height: 68rpx;
		right: 5rpx;
		position: absolute;
		top: 5rpx;
	}

	.goodsimgs {
		width: 750rpx;
		height: 492rpx;
	}

	.goodsimgs image {
		width: 750rpx;
		height: 492rpx;
	}

	.commodity_screen {
		width: 100%;
		height: 100%;
		position: fixed;
		top: 0;
		left: 0;
		background: #000;
		opacity: 0.2;
		overflow: hidden;
		z-index: 1000;
		color: #fff;
	}

	.commodity_attr_box {
		width: 100%;
		overflow: hidden;
		position: fixed;
		bottom: 0;
		left: 0;
		z-index: 2000;
		background: #fff;
		padding-top: 20rpx;
	}

	/* 活动样式 */
	.activity {
		width: 750rpx;
		height: 145rpx;
		background: linear-gradient(67deg, #4f43dd, #689cf2, #ba64e2);
		display: flex;
		flex-direction: column;
		padding: 20rpx 30rpx;
		margin-bottom: 12rpx;
	}

	.activity .img {
		background-image: url('https://7a68-zhaijieshi-3guecm78383ca692-1307626841.tcb.qcloud.la/activity/activity.png');
		width: 139rpx;
		height: 32rpx;
		background-size: 100% 100%;
		color: #5244dd;
		font-size: 23rpx;
		text-align: center;
	}

	.activityDay {
		line-height: 42rpx;
		margin-right: 30rpx;
		display: flex;
		height: 42rpx;
	}

	.activityDay image {
		width: 42rpx;
		height: 42rpx;
		margin-right: 10rpx;
	}

	.activityDay text {
		font-size: 24rpx;
		color: #f4f4f4;
	}

	.activityPrice {
		color: #ffffff;
	}

	.activityPrice text {
		font-size: 49rpx;
		font-weight: bold;
	}

	.activityCounterPrice {
		color: #c7c7c7;
		text-decoration: line-through;
		font-size: 24rpx;
		margin-top: 20rpx;
		margin-left: 10rpx;
	}

	.activityTime {
		display: flex;
		flex-direction: row;
		margin-right: 50rpx;
	}

	.activityTime text {
		color: #ffffff;
		line-height: 45rpx;
	}

	.activityTime view {
		width: 45rpx;
		height: 45rpx;
		background: #ffffff;
		border-radius: 5rpx;
		margin: 5rpx;
		line-height: 45rpx;
		text-align: center;
		font-size: 25rpx;
		font-weight: bold;
		color: #b563e1;
	}

	.activityTime .mark {}

	.goods-info {
		width: 750rpx;
		/*height: 306rpx;*/
		overflow: hidden;
		/* background: #fff; */
		border-bottom: 1px solid #f4f4f4;
	}

	.goods-info .c {
		display: block;
		width: 702rpx;
		padding-left: 3rpx;
		margin: 20rpx auto;
		border-radius: 20rpx;
	}


	.goods_name {
		white-space: nowrap;
		text-overflow: ellipsis;
		overflow: hidden;
		/* margin-top: 10rpx;     */
		display: flex;
		align-items: center;
	}

	.goods_name_left {
		font-weight: 550;
		margin-left: 0rpx;
		font-size: 36rpx;
		letter-spacing: 1rpx;
		color: #2a2a2a;
		font-weight: bold;
		width: 640rpx;
		white-space: pre-wrap;
	}

.goods_name	.indent {
		text-indent: -0.5rem;
	}
	.goods_name_right {
		font-weight: 550;
		/* top: 375px; */
		width: 80rpx;
		height: 80rpx;
		line-height: 82rpx;
		/* padding: 0;
  margin: 0;
  right: 10rpx; */
		margin-right: 0rpx;
		text-align: center;
		font-size: 25rpx;
		background-color: #d77958;
		border-radius: 40rpx;
		letter-spacing: 3rpx;
		/* position: absolute; */
	}

	.goods_name_right .img {
		width: 50rpx;
		height: 50rpx;
		margin-top: 15rpx;
	}

	.goods_name_right .txt {
		margin-top: 5rpx;
		font-size: 18rpx;
		color: #000000;
		border: 1rpx solid;
	}

	.goods-info .desc {
		margin: 15rpx 10rpx;
		font-size: 24rpx;
		line-height: 36rpx;
		width: 640rpx;
		white-space: nowrap;
		text-overflow: ellipsis;
		overflow: hidden;
		display: block;
	}

	.goods-info .desc1 {
		margin: 15rpx 0rpx;
		font-size: 24rpx;
		line-height: 36rpx;
		width: 640rpx;
		white-space: nowrap;
		text-overflow: ellipsis;
		overflow: hidden;
		display: block;
	}

	.goods-info .price {
		height: 60rpx;
		display: flex;
		margin-bottom: 16rpx;
		align-items: flex-end;
	}

	.goods-info .counterPrice {
		padding-left: 5rpx;
		text-decoration: line-through;
		font-size: 24rpx;
		margin-top: 15rpx;
		margin-left: 10rpx;
		/* color: #85868A; */
		color: #999;
	}

	.goods-info .retailPrice {
		height: 42rpx;
		line-height: 44rpx;
		color: #ff1643;
	}

	.goods-info view {
		/* word-break: normal !important; */
		overflow: hidden !important;
	}

	.goods-info .memberPrice {
		font-size: 26rpx;
		color: #dd483e;
		margin: 0 10rpx 0 20rpx;
	}

	.member-price-tag {
		width: 88rpx;
		height: 26rpx;
		line-height: 26rpx;
		background: url('https://jzmall.lifejingzhi.com/file/jzmall/weixin/member/member-price-bg.png') no-repeat center center;
		background-size: 100% 100%;
		color: #5e3a11;
		font-size: 16rpx;
		padding: 0 8rpx 0 0;
		text-align: right;
		margin: 0 0 6rpx 0;
	}

	.member-price-tag.spread-tag {
		margin-left: 20rpx;
		background-image: url('https://jzmall.lifejingzhi.com/file/jzmall/weixin/member/spread-price-bg.png');
		width: 122rpx;
	}

	.goods-info .retailPrice text.checked-price {
		font-size: 42rpx;
		font-weight: bold;
		margin-left: 5rpx;
		height: 42rpx;
		line-height: 42rpx;
	}

	.goods-info .brand {
		margin-top: 5rpx;
		min-height: 34rpx;
		text-align: left;
	}

	.goods-info .brand text {
		display: inline-block;
		width: auto;
		padding: 2px 0rpx 2px 0.5rpx;
		line-height: 32.5rpx;
		/*border: 1px solid #f48f18;color: #f48f18;*/
		font-size: 22rpx;
		color: #a98f76;
		/*border-radius: 4rpx;*/
		background-size: 10.75rpx 18.75rpx;
	}

	.section-nav {
		width: 750rpx;
		height: 108rpx;
		background: #fff;
		margin-bottom: 20rpx;
	}

	.section-nav .t {
		float: left;
		width: 600rpx;
		height: 108rpx;
		line-height: 108rpx;
		font-size: 29rpx;
		color: #333;
		margin-left: 31.25rpx;
	}

	.section-nav .i {
		float: right;
		width: 52rpx;
		height: 52rpx;
		margin-right: 16rpx;
		margin-top: 28rpx;
	}

	.section-act .t {
		float: left;
		display: flex;
		align-items: center;
		width: 600rpx;
		height: 108rpx;
		overflow: hidden;
		line-height: 108rpx;
		font-size: 29rpx;
		color: #999;
		margin-left: 31.25rpx;
	}

	.section-act .label {
		color: #999;
	}

	.section-act .tag {
		display: flex;
		align-items: center;
		padding: 0 10rpx;
		border-radius: 3px;
		height: 37rpx;
		width: auto;
		color: #f48f18;
		overflow: hidden;
		border: 1px solid #f48f18;
		font-size: 25rpx;
		margin: 0 10rpx;
	}

	.section-act .text {
		display: flex;
		align-items: center;
		height: 37rpx;
		width: auto;
		overflow: hidden;
		color: #f48f18;
		font-size: 29rpx;
	}

	.comments {
		width: 100%;
		height: auto;
		padding-left: 30rpx;
		background: #fff;
		margin: 20rpx 0;
	}

	.comments .h {
		height: 102.5rpx;
		line-height: 100.5rpx;
		width: 718.75rpx;
		padding-right: 16rpx;
	}

	.comments .h .t {
		display: block;
		float: left;
		width: 50%;
		font-size: 30rpx;
		color: #333;
	}

	.comments .h .i {
		display: block;
		float: right;
		width: 164rpx;
		height: 100.5rpx;
		line-height: 100.5rpx;
		background-size: 52rpx;
	}

	.comments .b {
		height: auto;
		width: 720rpx;
	}

	.comments .item {
		height: auto;
		width: 720rpx;
		overflow: hidden;
		border-top: 1px solid #d9d9d9;
	}

	.comments .info {
		height: 127rpx;
		width: 100%;
		padding: 33rpx 0 27rpx 0;
	}

	.comments .user {
		float: left;
		width: auto;
		height: 67rpx;
		line-height: 67rpx;
		font-size: 0;
	}

	.comments .user image {
		float: left;
		width: 67rpx;
		height: 67rpx;
		margin-right: 17rpx;
		border-radius: 50%;
	}

	.comments .user text {
		display: inline-block;
		width: auto;
		height: 66rpx;
		overflow: hidden;
		font-size: 29rpx;
		line-height: 66rpx;
	}

	.comments .time {
		display: block;
		float: right;
		width: auto;
		height: 67rpx;
		line-height: 67rpx;
		color: #7f7f7f;
		font-size: 25rpx;
		margin-right: 30rpx;
	}

	.comments .content {
		width: 720rpx;
		padding-right: 30rpx;
		line-height: 45.8rpx;
		font-size: 29rpx;
		margin-bottom: 24rpx;
	}

	.comments .imgs {
		width: 720rpx;
		height: auto;
		margin-bottom: 25rpx;
	}

	.comments .imgs .img {
		height: 150rpx;
		width: 150rpx;
		margin-right: 28rpx;
	}

	.comments .spec {
		width: 720rpx;
		padding-right: 30rpx;
		line-height: 30rpx;
		font-size: 24rpx;
		color: #999;
		margin-bottom: 30rpx;
	}

	.comments .customer-service {
		width: 690rpx;
		height: auto;
		overflow: hidden;
		margin-top: 23rpx;
		margin-bottom: 23rpx;
		background: rgba(0, 0, 0, 0.03);
		padding: 21rpx;
	}

	.comments .customer-service .u {
		font-size: 24rpx;
		color: #333;
		line-height: 37.5rpx;
	}

	.comments .customer-service .c {
		font-size: 24rpx;
		color: #999;
		line-height: 37.5rpx;
	}

	.goods-attr {
		width: 750rpx;
		height: auto;
		overflow: hidden;
		padding: 0 31.25rpx 25rpx 31.25rpx;
		background: #fff;
	}

	.goods-attr .t {
		width: 687.5rpx;
		height: 104rpx;
		line-height: 104rpx;
		font-size: 38.5rpx;
	}

	.goods-attr .item {
		width: 687.5rpx;
		height: 68rpx;
		padding: 11rpx 20rpx;
		margin-bottom: 11rpx;
		background: #f7f7f7;
		font-size: 38.5rpx;
	}

	.goods-attr .left {
		float: left;
		font-size: 25rpx;
		width: 134rpx;
		height: 45rpx;
		line-height: 45rpx;
		overflow: hidden;
		color: #999;
	}

	.goods-attr .right {
		float: left;
		font-size: 36.5rpx;
		margin-left: 20rpx;
		width: 480rpx;
		height: 45rpx;
		line-height: 45rpx;
		overflow: hidden;
		color: #333;
	}

	.detail {
		width: 750rpx;
		height: auto;
		overflow: hidden;
		padding-bottom: 200rpx;
	}

	.detail image {
		width: 750rpx;
		display: block;
	}

	.common-problem {
		width: 750rpx;
		height: auto;
		overflow: hidden;
	}

	.common-problem .h {
		position: relative;
		height: 145.5rpx;
		width: 750rpx;
		padding: 56.25rpx 0;
		background: #fff;
		text-align: center;
	}

	.common-problem .h .line {
		display: inline-block;
		position: absolute;
		top: 72rpx;
		left: 0;
		z-index: 2;
		height: 1px;
		margin-left: 225rpx;
		width: 300rpx;
		background: #ccc;
	}

	.common-problem .h .title {
		display: inline-block;
		position: absolute;
		top: 56.125rpx;
		left: 0;
		z-index: 3;
		height: 33rpx;
		margin-left: 285rpx;
		width: 180rpx;
		background: #fff;
	}

	.common-problem .b {
		width: 750rpx;
		height: auto;
		overflow: hidden;
		padding: 0rpx 30rpx;
		background: #fff;
	}

	.common-problem .item {
		height: auto;
		overflow: hidden;
		padding-bottom: 25rpx;
	}

	.common-problem .question-box .spot {
		float: left;
		display: block;
		height: 8rpx;
		width: 8rpx;
		background: #b4282d;
		border-radius: 50%;
		margin-top: 11rpx;
	}

	.common-problem .question-box .question {
		float: left;
		line-height: 30rpx;
		padding-left: 8rpx;
		display: block;
		font-size: 26rpx;
		padding-bottom: 15rpx;
		color: #303030;
	}

	.common-problem .answer {
		line-height: 36rpx;
		padding-left: 16rpx;
		font-size: 26rpx;
		color: #787878;
	}

	.related-goods {
		width: 750rpx;
		height: auto;
		overflow: hidden;
		padding-bottom: 80rpx;
	}

	.related-goods .h {
		position: relative;
		height: 145.5rpx;
		width: 750rpx;
		padding: 56.25rpx 0;
		background: #fff;
		text-align: center;
		border-bottom: 1px solid #f4f4f4;
	}

	.related-goods .h .line {
		display: inline-block;
		position: absolute;
		top: 72rpx;
		left: 0;
		z-index: 2;
		height: 1px;
		margin-left: 225rpx;
		width: 300rpx;
		background: #ccc;
	}

	.related-goods .h .title {
		display: inline-block;
		position: absolute;
		top: 56.125rpx;
		left: 0;
		z-index: 3;
		height: 33rpx;
		margin-left: 285rpx;
		width: 180rpx;
		background: #fff;
	}

	.related-goods .b {
		width: 750rpx;
		height: auto;
		overflow: hidden;
	}

	.related-goods .b .item {
		float: left;
		background: #fff;
		width: 375rpx;
		height: auto;
		overflow: hidden;
		text-align: center;
		padding: 15rpx 31.25rpx;
		border-right: 1px solid #f4f4f4;
		border-bottom: 1px solid #f4f4f4;
	}

	.related-goods .item .img {
		width: 311.45rpx;
		height: 311.45rpx;
	}

	.related-goods .item .name {
		display: block;
		width: 311.45rpx;
		height: 35rpx;
		margin: 11.5rpx 0 15rpx 0;
		text-align: center;
		overflow: hidden;
		font-size: 30rpx;
		color: #333;
	}

	.related-goods .item .price {
		display: block;
		width: 311.45rpx;
		height: 30rpx;
		text-align: center;
		font-size: 30rpx;
		color: #b4282d;
	}

	.bottom-btn {
		position: fixed;
		left: 0rpx;
		bottom: 0;
		z-index: 10;
		width: 750rpx;
		height: 112rpx;
		display: flex;
		background: #fff;
		padding-bottom: constant(safe-area-inset-bottom);
		padding-bottom: env(safe-area-inset-bottom);
		box-sizing: content-box;
		font-size: 22rpx;
		align-items: center;
		justify-content: space-between;
	}

	.bottom-btn .l {
		/* flex: 2;
  float: left;
  height: 150rpx;
  width: 162rpx; */
		/* display: flex; */
	}

	.bottom-btn .l.l-collect {
		border-right: none;
		border-left: none;
		text-align: center;
		padding-left: 30rpx;
		/* width: 100rpx;  */
	}

	.bottom-btn .l.l-collect .icon {
		font-size: 40rpx;
	}

	.bottom-btn .l.l-collect text {
		/* position: absolute;
  top: 80rpx;
  left: 30rpx; 
  font-size: 22rpx; */
	}

	.bottom-btn .l.l-kefu {
		border-right: none;
		border-left: none;
		text-align: center;
		/* width:60rpx; */
		/* position: relative; */
	}

	.contact-block {
		position: relative;
	}

	.bottom-btn .l.l-kefu .icon {
		position: absolute;
		font-size: 44rpx;
		top: 20rpx;
	}

	.bottom-btn .l.l-kefu text {
		/* position: absolute;
  top: 60rpx; 
  font-size: 22rpx; */
	}

	.bottom-btn .l.l-cart .box {
		position: relative;
		height: 80rpx;
		width: 70rpx;
	}

	.bottom-btn .l.l-cart .box .txt {
		position: absolute;
		top: 50rpx;
		font-size: 22rpx;
	}

	.bottom-btn .l.l-cart .cart-count {
		height: 28rpx;
		width: 28rpx;
		z-index: 10;
		position: absolute;
		top: 0;
		right: 0;
		background: #b4282d;
		text-align: center;
		font-size: 18rpx;
		color: #fff;
		line-height: 28rpx;
		border-radius: 50%;
	}

	.bottom-btn .l.l-cart .icon {
		position: absolute;
		top: 10rpx;
		left: 0;
		font-size: 44rpx;
	}

	.collect-wrapper,
	.service-wrapper {
		display: flex;
		flex-direction: column;
		justify-content: center;
		flex: 1;
	}

	.collect-text {
		margin: 10rpx 0 0;
	}

	.bottom-btn .c {
		width: 452rpx;
		background: #d77958;
		height: 82rpx;
		font-size: 30rpx;
		font-weight: bold;
		color: #fff;
		border-radius: 82rpx;
		text-align: center;
		line-height: 82rpx;
		margin-right: 30rpx;
	}

	.dis-order-wrapper {
		width: 452rpx;
		background: #d77958;
		height: 82rpx;
		font-size: 22rpx;
		color: #fff;
		border-radius: 82rpx;
		text-align: center;
		margin-right: 30rpx;
		display: flex;
		align-items: center;
		overflow: hidden;
	}

	.dis-order-wrapper>view {
		flex: 1;
		text-align: center;
		height: 82rpx;
	}

	.spread-order {
		background: #fff;
		border-radius: 0 82rpx 82rpx 0;
		border: 1rpx solid #d77958;
		border-left: none;
		line-height: 24rpx;
	}

	.buy-type {
		font-size: 30rpx;
		font-weight: bold;
		line-height: 60rpx;
		margin: 10rpx 0 4rpx 0;
		overflow: hidden;
	}

	.bottom-btn .r {
		background: #d77958;
		float: left;
		height: 100rpx;
		flex: 2;
		text-align: center;
		color: #fff;
		margin-left: 15rpx;
		margin-top: 15rpx;
		margin-bottom: 15rpx;
		border-top-left-radius: 50rpx;
		border-bottom-left-radius: 50rpx;
	}

	.bottom-btn .r .title {
		font-size: 46rpx;
		height: 56rpx;
		color: #fff;
	}

	.bottom-btn .r .subtitle {
		font-size: 28rpx;
		color: #fff;
		font-weight: 100;
	}

	.attr-pop-box {
		width: 100%;
		height: 100%;
		position: fixed;
		background: rgba(0, 0, 0, 0.5);
		z-index: 8;
		bottom: 0;
		/* display: none; */
	}

	.attr-pop {
		width: 100%;
		height: auto;
		max-height: 780rpx;
		padding: 31.25rpx;
		background: #fff;
		position: fixed;
		z-index: 9;
		bottom: 100rpx;
	}

	.attr-pop .close {
		position: absolute;
		width: 48rpx;
		height: 48rpx;
		right: 31.25rpx;
		overflow: hidden;
		top: 31.25rpx;
	}

	.attr-pop .close .icon {
		width: 48rpx;
		height: 48rpx;
	}

	.attr-pop .img-info {
		width: 687.5rpx;
		height: 177rpx;
		overflow: hidden;
		margin-bottom: 41.5rpx;
	}

	.attr-pop .img {
		float: left;
		height: 177rpx;
		width: 177rpx;
		background: #f4f4f4;
		margin-right: 31.25rpx;
	}

	.attr-pop .info {
		float: left;
		height: 177rpx;
		display: flex;
		align-items: center;
	}

	.attr-pop .p {
		font-size: 33rpx;
		color: #333;
		height: 33rpx;
		line-height: 33rpx;
		margin-bottom: 10rpx;
	}

	.attr-pop .a {
		font-size: 29rpx;
		color: #333;
		height: 40rpx;
		line-height: 40rpx;
	}

	.spec-con {
		width: 100%;
		height: auto;
		overflow: hidden;
	}

	.spec-con .name {
		margin-bottom: 6rpx;
		font-size: 29rpx;
		color: #333;
	}

	.spec-con .values {
		height: auto;
		margin-bottom: 10rpx;
		font-size: 0;
	}

	.spec-con .value {
		display: inline-block;
		height: 62rpx;
		padding: 0 35rpx;
		line-height: 56rpx;
		text-align: center;
		margin-right: 25rpx;
		margin-bottom: 16.5rpx;
		border: 1px solid #333;
		font-size: 25rpx;
		color: #333;
	}

	.spec-con .value.disable {
		border: 1px solid #ccc;
		color: #ccc;
	}

	.spec-con .value.selected {
		border: 1px solid #b4282d;
		color: #b4282d;
	}

	.number-item .selnum {
		width: 200rpx;
		/* width: 322rpx; */
		height: 71rpx;
		border: 1px solid #ccc;
		display: flex;
	}

	.number-item .cut {
		width: 93.75rpx;
		height: 100%;
		text-align: center;
		line-height: 65rpx;
	}

	.number-item .number {
		flex: 1;
		height: 100%;
		text-align: center;
		line-height: 68.75rpx;
		border-left: 1px solid #ccc;
		border-right: 1px solid #ccc;
		float: left;
	}

	.number-item .add {
		width: 93.75rpx;
		height: 100%;
		text-align: center;
		line-height: 65rpx;
	}

	.contact {
		height: 100rpx;
		width: 100rpx;
		border-radius: 100%;
		position: fixed;
		bottom: 96rpx;
		right: 10rpx;
		font-size: 20rpx;
		box-sizing: border-box;
		background: url('../../static/images/arrow.png') no-repeat center 21rpx;
		background-size: 55rpx auto;
	}

	.share-pop-box {
		width: 100%;
		height: 100%;
		position: fixed;
		background: rgba(0, 0, 0, 0.5);
		z-index: 8;
		bottom: 0;
		/* display: none; */
	}

	.share-pop {
		width: 100%;
		height: auto;
		max-height: 780rpx;
		padding: 31.25rpx;
		background: #fff;
		position: fixed;
		z-index: 9;
		bottom: 100rpx;
	}

	.share-pop .close {
		position: absolute;
		width: 48rpx;
		height: 48rpx;
		right: 31.25rpx;
		top: 31.25rpx;
	}

	.share-pop .close .icon {
		width: 48rpx;
		height: 48rpx;
	}

	.share-pop .share-info {
		width: 100%;
		height: 225rpx;
		overflow: hidden;
		margin-bottom: 41.5rpx;
	}

	.sharebtn {
		top: 75rpx;
		background: none !important;
		font-size: 32rpx;
		color: #fff !important;
		border-radius: 0%;
		width: 175rpx;
		height: 150rpx;
		text-align: center;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-wrap: wrap;
		float: left;
		background: #fff;
		border-bottom: 0px solid #fafafa;
		margin-left: 15%;
	}

	.sharebtn::after {
		border: none;
		border-radius: 0%;
	}

	.savesharebtn {
		top: 75rpx;
		background: none !important;
		font-size: 32rpx;
		color: #fff !important;
		border-radius: 0%;
		width: 175rpx;
		height: 150rpx;
		text-align: center;
		display: flex;
		justify-content: center;
		align-items: center;
		flex-wrap: wrap;
		float: right;
		background: #fff;
		border-bottom: 0px solid #fafafa;
		margin-right: 15%;
	}

	.savesharebtn::after {
		border: none;
		border-radius: 0%;
	}

	.sharebtn_image {
		/* border: 1px solid #757575; */
		width: 128rpx;
		height: 128rpx;
		margin-top: 0rpx;
	}

	.sharebtn_text {
		/* border: 1px solid #757575; */
		width: 150rpx;
		margin-bottom: 2rpx;
		height: 20rpx;
		line-height: 20rpx;
		font-size: 20rpx;
		color: #555;
	}

	.separate {
		background: #e0e3da;
		width: 100%;
		height: 6rpx;
	}

	/* 新客角标 */
	.isNew {
		position: absolute;
		width: 80rpx;
		height: 120rpx;
		right: 30rpx;
		z-index: 999;
	}

	/* 自购/推广弹框 */
	.overlay-wrapper {
		display: flex;
		align-items: center;
		justify-content: center;
		height: 100%;
	}

	.tips-wrapper {
		width: 588rpx;
		height: 462rpx;
		border-radius: 10rpx;
		background: #fff;
		font-size: 26rpx;
		display: flex;
		flex-direction: column;
		justify-content: space-between;
	}

	.tips-top {
		display: flex;
		flex-direction: column;
		align-items: center;
		padding: 0 40rpx;
	}

	.tips-title {
		font-size: 34rpx;
		font-weight: bold;
		margin: 66rpx 0 24rpx;
	}

	.tips-bottom {
		height: 132rpx;
		border-top: 2rpx solid #e4e4e4;
		display: flex;
		justify-content: space-around;
		align-items: center;
	}

	.tips-bottom .btn-devide {
		width: 2rpx;
		height: 130rpx;
		background: #e4e4e4;
	}

	.cancel-btn {
		width: 202rpx;
		height: 72rpx;
		line-height: 72rpx;
		border: 2rpx solid #85868a;
		color: #282728;
		border-radius: 72rpx;
		text-align: center;
		overflow: hidden;
	}

	.repay-btn {
		width: 202rpx;
		height: 72rpx;
		line-height: 72rpx;
		background: #d77958;
		color: #fff;
		border-radius: 72rpx;
		text-align: center;
	}

	.notip-again {
		padding-left: 40rpx;
		display: flex;
		align-items: center;
	}

	.user-agree {
		/* color:#85868A; */
		font-size: 26rpx;
		margin-left: 8rpx;
	}

	/* 海报的样式 */
	.poster {
		position: absolute;
		top: 20rpx;
		z-index: 99;
		text-align: center;
		left: 0;
		bottom: 0;
		right: 0;
	}

	.title {
		color: #fff;
		margin: 20rpx 0;
		font-size: 30rpx;
		display: flex;
		justify-content: center;
		text-align: left;
	}

	.title text {
		width: 480rpx;
	}

	.ads {
		color: #fff;
		text-align: left;
		margin: 20rpx auto;
		display: flex;
		justify-content: center;
	}

	.tool {
		display: flex;
		text-align: center;
		justify-content: baseline;
		width: 100%;
		margin-top: 20rpx;
	}

	.tool view {
		flex: 1;
	}

	.img {
		width: 107rpx;
		height: 128rpx;
	}

	.closeImg {
		width: 57rpx;
		height: 57rpx;
	}

	.share-btn {
		background-color: transparent;
		flex: 1;
	}

	.share-btn::after {
		border: none;
	}

	.goods-name-wrapper {
		background: #fff;
		padding: 30rpx 16rpx 20rpx;
		border-radius: 12rpx;
	}

	.store-location {
		margin-top: 20rpx;
		background: #fff;
		padding: 20rpx 24rpx;
		border-radius: 12rpx;
	}

	.price .sale-num {
		color: #999;
		font-size: 24rpx;
		flex: 1;
		text-align: right;
	}

	.price .sale-num text {
		color: #ff1643;
	}

	/* 购买提醒 */
	.buy-toast {
		height: 44rpx;
		min-width: 284rpx;
		position: absolute;
		top: 410rpx;
		left: 24rpx;
		background: rgba(0, 0, 0, 0.5);
		border-radius: 45rpx;
	}

	.toast-swiper {
		height: 44rpx;
		width: 320rpx;
	}

	.toast-item {
		align-items: center;
		display: flex;
		height: 44rpx;
		padding: 0 14rpx 0 10rpx;
	}

	.toast-item image {
		width: 28rpx;
		height: 28rpx;
		border-radius: 28rpx;
		margin-right: 8rpx;
	}

	.toast-item view {
		font-size: 24rpx;
		color: #fff;
		white-space: nowrap;
	}

	/* 选择规格 */
	.sku-info {
		width: 702rpx;
		height: 90rpx;
		background: #ffffff;
		border-radius: 24rpx;
		margin: 0 24rpx;
		position: relative;
	}

	.sku-left {
		width: 700rpx;
		overflow: hidden;
		line-height: 90rpx;
		padding-left: 24rpx;
		display: flex;
		align-items: center;
		height: 90rpx;
		font-weight: bold;
	}

	.sku-left view {
		color: #000;
		font-size: 30rpx;
		font-weight: bold;
	}

	.sku-left view.current-sku {
		color: #d77958;
		font-weight: bold;
		margin-left: 12rpx;
	}

	.sku-right {
		position: absolute;
		right: 0;
		top: 0;
		bottom: 0;
		height: 90rpx;
		display: flex;
		align-items: center;
		padding-right: 24rpx;
		width: 222rpx;
		background: url('https://jzmall.lifejingzhi.com/file/jzmall/weixin/sku-bg.png') no-repeat center;
		background-size: 100% 100%;
		z-index: 99;
		justify-content: flex-end;
	}

	.sku-right view {
		color: #00b4ff;
	}

	/* 推荐产品 */
	.recommend-product {
		padding: 30rpx 24rpx;
		width: 702rpx;
		margin: 20rpx 24rpx;
		border-radius: 20rpx;
		background: #fff;
	}

	.recommend-title {
		margin-bottom: 20rpx;
		font-size: 30rpx;
		font-weight: bold;
		height: 30rpx;
		line-height: 30rpx;
	}

	.recommend-scroll {
		height: 100rpx;
		white-space: nowrap;
	}

	.scroll-item-wrapper {
		width: 250rpx;
		display: inline-block;
	}

	.scroll-item {
		height: 100rpx;
		display: flex;
		width: 250rpx;
	}

	.scroll-item image {
		width: 100rpx;
		height: 100rpx;
		border-radius: 10rpx;
	}

	.scroll-right {
		width: 140rpx;
		margin-left: 10rpx;
		height: 100rpx;
		display: flex;
		padding: 10rpx 0;
		flex-direction: column;
		justify-content: space-between;
	}

	.scroll-right .recommend-name {
		width: 140rpx;
		overflow: hidden;
		white-space: nowrap;
		text-overflow: ellipsis;
		height: 28rpx;
		font-size: 26rpx;
		line-height: 28rpx;
	}

	.scroll-right .recommend-price {
		font-size: 24rpx;
		height: 30rpx;
	}

	.scroll-right .recommend-price text {
		font-weight: bold;
		color: #ff1643;
		font-size: 30rpx;
	}

	/* 团购评价 */
	.group-evaluation {
		width: 702rpx;
		background: #ffffff;
		border: 1rpx solid #f5f5f5;
		border-radius: 20rpx;
		padding: 30rpx 24rpx 0;
		margin: 0 24rpx 20rpx;
	}

	.group-evaluation .title {
		height: 40rpx;
		line-height: 40rpx;
		display: flex;
		justify-content: space-between;
		align-items: center;
	}

	.group-evaluation .title .left {
		font-size: 32rpx;
		line-height: 40rpx;
		color: #000;
		font-weight: bold;
		flex: 1;
		word-break: normal;
		overflow: hidden;
	}

	.group-evaluation .title .right {
		color: #666;
		font-size: 28rpx;
		display: flex;
		align-items: center;
		justify-content: space-between;
		overflow: hidden;
	}

	.evaluation-item {
		padding: 30rpx 8rpx 30rpx 0;
		padding-right: 8rpx;
		border-bottom: 1rpx solid #f3f3f3;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.evaluation-item:last-child {
		border: none;
	}

	.evaluation-item .item-left {
		width: 510rpx;
	}

	.eval-top {
		display: flex;
		height: 44rpx;
		align-items: center;
	}

	.eval-top .avatar {
		width: 44rpx;
		height: 44rpx;
		border-radius: 44rpx;
	}

	.eval-top .name {
		margin: 0 10rpx;
		font-size: 28rpx;
		color: #000;
	}

	.eval-top .tag {
		height: 38rpx;
		line-height: 38rpx;
		background: #FFECDD;
		border-radius: 10rpx;
		color: #CC987E;
		font-size: 24rpx;
		padding: 0 12rpx;
		margin-right: 10rpx;
	}

	.eval-top .hp {
		height: 38rpx;
		line-height: 38rpx;
		background: rgba(255, 71, 71, 0.1);
		border-radius: 10rpx;
		color: #ff5252;
		font-size: 24rpx;
		padding: 0 12rpx;
	}

	.eval-content {
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
		text-overflow: ellipsis;
		overflow: hidden;
	}

	.evaluation-item .item-right {
		width: 100rpx;
		height: 100rpx;
		/* word-break: normal; */
		overflow: hidden;
	}

	.evaluation-item .item-right image {
		width: 100rpx;
		height: 100rpx;
		border-radius: 10rpx;
	}
	.right view {
    /* word-break: normal; */
  overflow: hidden; 
}

	/* 规格弹框 */
	.spu-popup {
		height: 784rpx;
		width: 750rpx;
		background: #fff;
		padding: 30rpx 30rpx;
	}

	.popup-good {
		height: 140rpx;
		display: flex;
		padding: 0 0 30rpx 0;
		border-bottom: 1rpx solid #eee;
		justify-content: space-between;
	}

	.popup-good .left {
		display: flex;
		align-items: flex-end;
	}

	.popup-good .left image {
		width: 100rpx;
		height: 100rpx;
		border-radius: 10rpx;
	}

	.popup-good .spu-price {
		color: #ff1643;
		font-size: 34rpx;
		font-weight: bold;
		margin: 0 14rpx 0 20rpx;
		line-height: 40rpx;
	}

	.popup-good .spu-price text {
		font-size: 48rpx;
	}

	.popup-good .spu-price-old {
		text-decoration: line-through;
		color: #999999;
		font-size: 24rpx;
	}

	.popup-good .sku-close {
		width: 48rpx;
		height: 48rpx;
	}

	.sku-list-block {
		height: 492rpx;
	}

	.sku-list-block .spu-title {
		height: 86rpx;
		line-height: 86rpx;
		font-weight: bold;
		font-size: 28rpx;
	}

	.sku-list-block .sku-item {
		margin-bottom: 24rpx;
	}

	.sku-list-block .sku-item view {
		padding: 0 24rpx;
		height: 50rpx;
		line-height: 48rpx;
		border: 1rpx solid #333;
		border-radius: 10rpx;
		color: #333;
		font-size: 24rpx;
		display: inline-block;
	}

	.sku-list-block .sku-item.active-sku view {
		color: #d77958;
		/* background: rgba(1, 187, 243, 0.1); */
		border-color: #d77958;
	}

	.sku-btn {
		width: 690rpx;
		height: 100rpx;
		border-radius: 100rpx;
		line-height: 100rpx;
		text-align: center;
		color: #ffff;
		background: #d77958;
		font-size: 32rpx;
	}

	/*  加购数量 */
	.num-module {
		width: 702rpx;
		/* height: 174rpx; */
		background: #ffffff;
		border-radius: 24rpx;
		margin: 4rpx 24rpx 24rpx;
		padding: 32rpx 24rpx;
	}

	.plus-buy {
		height: 30rpx;
		margin: 0 0 28rpx;
		display: flex;
		align-items: center;
	}

	.num-module .title {
		color: #666;
		font-size: 30rpx;
		margin-right: 20rpx;
	}

	.plus-buy .plus-name {
		font-size: 30rpx;
		color: #010101;
	}

	.plus-buy .plus-name text {
		color: #fe2b54;
		font-weight: bold;
	}

	.plus-num {
		display: flex;
		justify-content: space-between;
		height: 72rpx;
		align-items: center;
	}

	.calc-counter {
		height: 72rpx;
		border-radius: 72rpx;
		display: flex;
		align-items: center;
		border: 2rpx solid #d2d2d2;
		box-sizing: border-box;
		overflow: hidden;
		line-height: 72rpx;
	}

	.calc-counter .minus-btn.disable,
	.calc-counter .plus-btn.disable {
		color: #d2d2d2;
	}

	.calc-counter .plus-btn,
	.calc-counter .minus-btn {
		width: 82rpx;
		text-align: center;
		color: #666;
		line-height: 52rpx;
		font-weight: bold;
		padding-bottom: 4rpx;
	}

	.calc-counter .num-input {
		color: #010101;
		font-size: 30rpx;
		border-left: 2rpx solid #d2d2d2;
		border-right: 2rpx solid #d2d2d2;
		width: 72rpx;
		text-align: center;
		height: 72rpx;
	}

	/* 关联工单 */
	.service-list {
		margin: 0 24rpx 24rpx;
	}

	.service-item {
		margin-top: 24rpx;
		background: #ffffff;
		border-radius: 24rpx;
		width: 702rpx;
		padding: 0 24rpx;
	}

	.order-title {
		height: 100rpx;
		line-height: 100rpx;
		font-weight: bold;
		color: #000;
		font-size: 32rpx;
		border-bottom: 2rpx solid #e0e0e0;
	}

	.service-item .service-title {
		height: 80rpx;
		display: flex;
		align-items: center;
		border-bottom: 2rpx solid #e0e0e0;
	}

	.service-title .sercive-name {
		color: #191919;
		font-size: 30rpx;
		font-weight: bold;
	}

	.service-title .service-id {
		color: #666666;
		font-size: 24rpx;
		margin: 0 12rpx 0 0;
		flex: 1;
	}

	.service-title .service-status {
		color: #008dff;
		font-size: 26rpx;
	}

	.service-main {
		padding: 12rpx 0 16rpx;
	}

	.customer-info {
		display: flex;
		align-items: center;
	}

	.customer-info image {
		width: 48rpx;
		height: 48rpx;
		margin-right: 24rpx;
	}

	.customer-info .customer-main {
		display: flex;
		padding: 18rpx 0 4rpx;
		flex-direction: column;
		flex: 1;
	}

	.main-line {
		display: flex;
		height: 44rpx;
		margin-bottom: 4rpx;
		align-items: center;
	}

	.main-line view {
		color: #333333;
		font-size: 32rpx;
	}

	.main-line view.phone {
		color: #999999;
		font-size: 24rpx;
		margin-left: 14rpx;
	}

	.customer-info .customer-address {
		color: #666666;
		line-height: 40rpx;
	}

	.service-main .row {
		/* height: 56rpx;
  line-height: 56rpx; */
		display: flex;
		color: rgba(0, 0, 0, 0.9);
		font-size: 26rpx;
		font-weight: bold;
		align-items: center;
		margin: 10rpx 0;
	}

	.service-main .row text {
		color: #666666;
		font-weight: normal;
		/* white-space: nowrap; */
	}

	.service-remark-wrapper {
		padding: 24rpx 0;
		border-top: 2rpx solid #e0e0e0;
	}

	.service-store {
		height: 36rpx;
		display: flex;
		align-items: center;
		justify-content: space-between;
	}

	.service-store>view {
		display: flex;
		height: 36rpx;
		align-items: center;
	}

	.store-left image {
		width: 36rpx;
		height: 36rpx;
		margin-right: 16rpx;
	}

	.store-left view {
		color: rgba(0, 0, 0, 0.9);
		font-size: 26rpx;
		font-weight: bold;
	}

	.store-right view {
		color: #666666;
		font-size: 24rpx;
	}

	.store-right image {
		width: 24rpx;
		height: 24rpx;
		margin-left: 16rpx;
	}

	.service-remark-wrapper .service-remark {
		width: 652rpx;
		/* height: 56rpx; */
		line-height: 44rpx;
		background: #ebebeb;
		border-radius: 16rpx;
		color: #000000;
		padding: 8rpx 16rpx;
		/* white-space: nowrap;
text-overflow: ellipsis;*/
		display: -webkit-box;
		-webkit-box-orient: vertical;
		-webkit-line-clamp: 2;
		text-overflow: ellipsis;
		overflow: hidden;
		margin-top: 20rpx;
	}

	.service-remark text {
		color: #fe2b54;
		font-weight: bold;
	}

	.service-operate {
		padding: 24rpx 0;
		border-top: 2rpx solid #e0e0e0;
		display: flex;
		justify-content: flex-end;
	}

	.service-operate view {
		width: 160rpx;
		height: 56rpx;
		line-height: 56rpx;
		border-radius: 28rpx;
		text-align: center;
		color: #f9f4f5;
		font-size: 24rpx;
		background: linear-gradient(90deg, #00baff 0%, #008dff 100%);
		margin-left: 28rpx;
	}

	.tips-wrapper.supply-overlay {
		width: 690rpx;
		height: auto;
	}

	.tips-wrapper.supply-overlay .tips-title {
		margin: 36rpx 0 24rpx;
	}

	.supply-content {
		border-top: 2rpx solid #e0e0e0;
	}

	.tips-wrapper.supply-overlay .service-list {
		margin: 0 0;
	}

	.tips-wrapper.supply-overlay .service-item {
		width: 690rpx;
	}

	.supply-tips {
		border-top: 2rpx solid #e0e0e0;
		color: #c41616;
		padding: 20rpx 30rpx;
		font-size: 28rpx;
	}

	.jz-color {
		color: #d77958;
	}
</style>